<!-- prettier-ignore-start -->
# Class HTTPFormService

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.svc.Service](dw.svc.Service.md)
    - [dw.svc.HTTPService](dw.svc.HTTPService.md)
      - [dw.svc.HTTPFormService](dw.svc.HTTPFormService.md)

Represents an HTTP Form POST Service.


All arguments passed to the [call](dw.svc.Service.md#callobject) method will be URL-encoded and set as name/value
pairs in the HTTP request body. The HTTP request will be a POST with a content-type of
`application/x-www-form-urlencoded`.



## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

### Methods inherited from class HTTPService

[addHeader](dw.svc.HTTPService.md#addheaderstring-string), [addParam](dw.svc.HTTPService.md#addparamstring-string), [getAuthentication](dw.svc.HTTPService.md#getauthentication), [getCachingTTL](dw.svc.HTTPService.md#getcachingttl), [getClient](dw.svc.HTTPService.md#getclient), [getEncoding](dw.svc.HTTPService.md#getencoding), [getHostNameVerification](dw.svc.HTTPService.md#gethostnameverification), [getIdentity](dw.svc.HTTPService.md#getidentity), [getOutFile](dw.svc.HTTPService.md#getoutfile), [getRequestMethod](dw.svc.HTTPService.md#getrequestmethod), [setAuthentication](dw.svc.HTTPService.md#setauthenticationstring), [setCachingTTL](dw.svc.HTTPService.md#setcachingttlnumber), [setEncoding](dw.svc.HTTPService.md#setencodingstring), [setHostNameVerification](dw.svc.HTTPService.md#sethostnameverificationboolean), [setIdentity](dw.svc.HTTPService.md#setidentitykeyref), [setOutFile](dw.svc.HTTPService.md#setoutfilefile), [setRequestMethod](dw.svc.HTTPService.md#setrequestmethodstring)
### Methods inherited from class Service

[call](dw.svc.Service.md#callobject), [getConfiguration](dw.svc.Service.md#getconfiguration), [getCredentialID](dw.svc.Service.md#getcredentialid), [getRequestData](dw.svc.Service.md#getrequestdata), [getResponse](dw.svc.Service.md#getresponse), [getURL](dw.svc.Service.md#geturl), [isMock](dw.svc.Service.md#ismock), [isThrowOnError](dw.svc.Service.md#isthrowonerror), [setCredentialID](dw.svc.Service.md#setcredentialidstring), [setMock](dw.svc.Service.md#setmock), [setThrowOnError](dw.svc.Service.md#setthrowonerror), [setURL](dw.svc.Service.md#seturlstring)
### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
<!-- prettier-ignore-end -->
